<?php

Route::group(['middleware' => ['web', 'auth', 'is_admin']], function(){

	Route::resource('admin/product/product', 'Onestartup\Product\Controller\AdminProductController', ['as'=>'admin', 'except'=>['show']]);

	Route::resource('admin/product/category', 'Onestartup\Product\Controller\CategoryController', ['as'=>'admin.product', 'except' => ['show', 'create']]);

	Route::delete('delete/cover/category/product/{id}', 'Onestartup\Product\Controller\CategoryController@deleteCover')
		->name('delete.cover.category.product');

	Route::resource('admin/product/category/{category_id}/subcategory', 'Onestartup\Product\Controller\SubCategoryController', ['as'=>'admin.product', 'except' => ['show', 'create']]);
	//Route::post("api/admin/product/category/{category_id}/subcategory", )

	Route::delete('delete/cover/subcategory/product/{id}', 'Onestartup\Product\Controller\SubCategoryController@deleteCover')
		->name('delete.cover.subcategory.product');


	Route::get('admin/products/datatable', 'Onestartup\Product\Controller\AdminProductController@getProducts')
		->name('datatable.products');
	Route::post('admin/product/{id}/gallery', 'Onestartup\Product\Controller\AdminProductController@storeGallery')
		->name('admin.product.files.store');
	Route::delete('admin/product/delete/gallery/{id}', 'Onestartup\Product\Controller\AdminProductController@deleteImage')
		->name('admin.product.gallery.delete');

	Route::delete('delete/cover/product/{id}', 'Onestartup\Product\Controller\AdminProductController@deleteCover')
		->name('delete.cover.product');

	Route::get('admin/product/variable', 'Onestartup\Product\Controller\AdminProductController@showVars')
		->name('admin.product.variable');

	Route::post('admin/product/variable', 'Onestartup\Product\Controller\AdminProductController@postVars')
		->name('admin.product.variable.store');

});

Route::group(['middleware' => ['web']], function(){
	Route::get(config("product.slug_products").'/{slug}', 'Onestartup\Product\Controller\ProductController@show')->name('show.product');
	
	Route::get(config("product.slug_products"), 'Onestartup\Product\Controller\ProductController@index')->name('main.product');

	Route::get(config("product.slug_category").'/{slug_category}', 
			'Onestartup\Product\Controller\ProductController@byCategory')
			->name('category.product');

	Route::get(config("product.slug_category").'/{slug_category}/{slug_subcategory}', 
			'Onestartup\Product\Controller\ProductController@bySubCategory')
			->name('subcategory.product');		
});
